Skip to main content
`Ctrl`+`K`

# EPSArnoldiSetDelayed

Activates or deactivates delayed reorthogonalization in the Arnoldi iteration.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSArnoldiSetDelayed(EPS eps,PetscBool delayed)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- delayed - boolean flag

## Options Database Key

- -eps_arnoldi_delayed - Activates delayed reorthogonalization in `EPSARNOLDI`

## Note

Delayed reorthogonalization is an aggressive optimization for the `EPSARNOLDI` eigensolver than may provide better scalability, but sometimes makes the solver converge more slowly compared to the default algorithm. The details can be found in [Hernández et al., 2007].

## References

[Her07]

V. Hernández, J. E. Román, and A. Tomás. Parallel Arnoldi eigensolvers with enhanced scalability via global communications rearrangement. Parallel Comput., 33(7-8):521–540, 2007. doi:10.1016/j.parco.2007.04.004.

## See Also

EPS: Eigenvalue Problem Solver, `EPSARNOLDI`, `EPSArnoldiGetDelayed()`

## Level

advanced

## Location

src/eps/impls/krylov/arnoldi/arnoldi.c

## Implementations

EPSArnoldiSetDelayed_Arnoldi() in src/eps/impls/krylov/arnoldi/arnoldi.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages